import { select,json,tree,hierarchy,linkHorizontal } from 'd3';

const svg = select('svg');

const width = document.body.clientWidth;
const height = document.body.clientHeight;
const margin = { top: 0, right: 100, bottom: 0, left: 75};
const innerWidth = width - margin.left - margin.right;
const innerHeight = height - margin.top - margin.bottom;

const t=tree().size([innerHeight, innerWidth]);



//const t=tree()
//	.size([height,width]);
svg
    .attr('width', width)
    .attr('height', height)
  
json('data.json')
	.then(data=>{
  	const root=hierarchy(data);
  	const links=t(root).links();
  	const linkPathGenerator=linkHorizontal()
    	.x(d => d.y)
      .y(d => d.x);
  
	svg.selectAll('path').data(links)
  	.enter().append('path')
        .attr('d', linkPathGenerator);
	svg.selectAll('text').data(root.descendants())
  	.enter().append('text')
  		.attr('x',d=>d.y)
  		.attr('y',d=>d.x)
  		.attr('dy','0.32em')
  		.text(d=>d.data.data.id);
  
  
  /*const node = g.append("g")
      .attr("stroke-linejoin", "round")
      .attr("stroke-width", 3)
    .selectAll("g")
    .data(root.descendants())
    .join("g")
      .attr("transform", d => `translate(${d.y},${d.x})`);

  node.append("circle")
      .attr("fill", d => d.children ? "#555" : "#999")
      .attr("r", 2.5);

  node.append("text")
      .attr("dy", "0.31em")
      .attr("x", d => d.children ? -6 : 6)
      .attr("text-anchor", d => d.children ? "end" : "start")
      .text(d => d.data.name)
    .clone(true).lower()
      .attr("stroke", "white");*/

});  
/*const link = g.append("g")
    .attr("fill", "none")
    .attr("stroke", "#555")
    .attr("stroke-opacity", 0.4)
    .attr("stroke-width", 1.5)
  .selectAll("path")
    .data(root.links())
    .join("path")
      .attr("d", d3.linkHorizontal()
          .x(d => d.y)
          .y(d => d.x));  
});*/